<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, minimum-scale=1.0" />
	
<?php $_title = isset($title) ? $title . ' &mdash; Andrea Franceschini' : 'Andrea Franceschini' ?>
	<title><?=$_title?></title>
	<meta name="DC.Title" content="<?=$_title?>" />
	<meta property="og:title" content="<?=$_title?>" />
	<meta property="twitter:title" content="<?=$_title?>" />
	
<?php if(isset($keywords)) : ?>
	<meta name="keywords" content="<?=$keywords?>" />
<?php endif ?>
	
	<meta name="author" content="Andrea Franceschini" />
	<meta name="DC.Creator" content="Andrea Franceschini" />
	<!-- <meta name="DC.Contributor" content="Andrea Franceschini" /> -->
	<meta name="twitter:site" content="@morpheu5" />
	<meta name="twitter:creator" content="@morpheu5" />

<?php if(isset($description)) : ?>
	<meta name="description" content="<?=$description?>" />
	<meta name="DC.Description" content="<?=$description?>" />
	<meta property="og:description" content="<?=$description?>" />
<?php endif ?>
	<meta property="twitter:description" content="<?=isset($description) ? $description : 'PhD student at The Open University' ?>" />
		
	<!--   Twitter card extras -->
	<meta name="twitter:card" content="summary_large_image" />
<?php if(isset($twitter_image)) : ?>
	<meta name="twitter:image:src" content="<?=$baseurl.$twitter_image?>" />
<?php endif ?>
	<meta name="twitter:domain" content="<?=$baseurl?>" />
	<!-- / Twitter card extras -->

	<!--   Open Graph madness -->
	<meta property="og:type" content="website" />
<?php if(isset($twitter_image)) : ?>
	<meta property="og:image" content="<?=$baseurl.$twitter_image?>" />
<?php endif ?>
	<!-- / Open Graph madness -->
	
	<!--   Dublin Core extras -->
	<meta name="DC.Rights" content="CC BY-NC-SA 4.0" />
	<!-- / Dublin Core extras -->

	<meta name="robots" content="All" />

	<link rel="stylesheet" href="<?=$baseurl?>css/screen.css" type="text/css" media="screen" />
	<link rel="stylesheet" href="<?=$baseurl?>css/print.css" type="text/css" media="print" />
	<?php if(isset($css)) : ?>
	<?php foreach($css as $file) : ?>
	<link rel="stylesheet" href="<?=$baseurl?>css/<?=$file?>.css" type="text/css" media="screen" />
	<?php endforeach ?>
	<?php endif ?>
	<link href='//fonts.googleapis.com/css?family=Oswald:400,700&subset=latin,latin-ext' rel='stylesheet' type='text/css'>
	<link href='//fonts.googleapis.com/css?family=Open+Sans:400,400italic,700,700italic&subset=latin,greek,greek-ext,latin-ext' rel='stylesheet' type='text/css'>
	
	<link href="//cdn.rawgit.com/noelboss/featherlight/1.7.1/release/featherlight.min.css" type="text/css" rel="stylesheet" />
	
	<!-- <link rel="schema.DC" href="http://purl.org/dc/elements/1.1/"> -->
	
	<!--[if lt IE 9]>
	<script src="<?=$baseurl?>js/html5.min.js"></script>
	<![endif]-->
	<script type="text/javascript" src="<?=$baseurl?>js/js.cookie.js"></script>
 	<script type="text/javascript" src="<?=$baseurl?>js/jquery.min.js"></script>
 	<script type="text/javascript" src="<?=$baseurl?>js/picturefill.min.js"></script>
	
	<script src="//cdn.rawgit.com/noelboss/featherlight/1.7.1/release/featherlight.min.js" type="text/javascript" charset="utf-8"></script>	

	<script src="https://kit.fontawesome.com/3960e26f79.js" crossorigin="anonymous"></script>

	<script type="text/javascript" src="<?=$baseurl?>js/scripts.js"></script>
	<?php if(isset($js)) : ?>
	<?php foreach($js as $file) : ?>
	<script type="text/javascript" src="<?=$baseurl?>js/<?=$file?>.js"></script>
	<?php endforeach ?>
	<?php endif ?>
</head>