<?php
$bodyclasses = 'research page';
$title = 'Research';
$tagline = 'not a synonym for “google”';
$description = 'I do research. Actual research.';
$keywords = 'music, learning, tabletop, research, the open university, university of cambridge, isaac physcs, reactable';
$twitter_image = 'images/table_2-2x.jpg';
$banner_image = 'images/banner_research-2x.jpg';
$banner_image_half = 'images/banner_research.jpg';
?>

<?=i('_header')?>

	<article class="body grid grid-cols-1 sm:grid-cols-2 gap-x-6 gap-y-0">
		<section class="full col-start-1 sm:col-span-2 -pb-8">
			<p>I am a trained computer scientist and I have done qualitative research. This means I'm comfortable with analysing numbers and words alike.</p>
		</section>
		<section class="left col-start-1 col-span-1">
			<figure>
				<picture>
					<source srcset="<?=$baseurl?>images/reactable.jpg 1x, <?=$baseurl?>images/reactable-2x.jpg 2x" />
					<img class="rounded" srcset="<?=$baseurl?>images/reactable.jpg" alt="Reactable" />
				</picture>
				<figcaption><span>An interactive musical tabletop.</span></figcaption>
			</figure>
			<p>When I started my doctoral studies, there was an alarming lack of empirical studies in the area of <strong>interactive tabletops</strong> as <strong>music learning tools</strong>. It is not clear what happens when you give people a giant touch screen, and teach them music with it. This means you have to sit down and watch them, record their actions, and analyse their conversations.</p>
		</section>
		<section class="right col-start-1 col-span-1 sm:col-start-2">
			<h2>Qualitative research</h2>
			<p>Qualitative research is hard and fascinating work: it gives you insight on what people do and think &ndash; like reading minds, if you think about it.</p>
			<p>QR is at the heart of <strong>user experience research</strong>, among other applications &ndash; that means figuring out what people think about the things you make, and how they use them.</p>
			<p>You can look at pretty much anything for information. Typical data sources include interviews, journals, videos, and so on. However, it is a common misconception that qualitative findings are less rigorous than quantitative findings: they are simply different, and they can even work together to strengthen each other and produce even more rigorous research.</p>
		</section>
		<section class="full col-start-1 sm:col-span-2 border-t-2">
			<h2>What can I help you with?</h2>
			<p>Do you have a pressing question that needs answer? Do you want to make your app better and easier to use? Do you have a brilliant new idea and want to know if it's worth developing it?</p>
			<p>Things I <strong>can</strong> help you with include</p>
			<ul>
				<li><strong>User research</strong> (ethnographies, surveys, focus groups, A/B testing…)</li>
				<li><strong>Interaction design</strong> (UX, prototyping, behaviour, patterns, iterative design…)</li>
				<li><strong>Usability</strong> (web sites, graphical and tangible interfaces…)</li>
			</ul>
			<p>I can work with your designers and developers to help you look into ideas and products, prototype and evaluate them, and finally build and release amazing solutions.</p>
		</section>
		<section class="full col-start-1 sm:col-span-2">
			<p class="calltoaction">Curious? <a href="<?=$baseurl?>contact">Get in touch!</a></p>
		</section>
	</article>

<?=i('_footer')?>
