<?php
$bodyclasses = 'writing page';
$title = 'Technical writing';
$tagline = 'tutorials, manuals, reports…';
$description = 'I do technical writing, revisions, translations, and such.';
$keywords = 'music, learning, tabletop, research, technical, writing';
$twitter_image = 'images/colopic.jpg';
$banner_image = 'images/banner_writing-2x.jpg';
$banner_image_half = 'images/banner_writing.jpg';
?>

<?=i('_header')?>

	<article class="body grid grid-cols-1 sm:grid-cols-2 gap-x-6 gap-y-0">
		<section class="full col-start-1 sm:col-span-2">
			<p>Did you know that researchers spend about half of their professional lives doing academic and technical writing? For example, research students spend at least a third of their studies writing their theses, without counting papers, and bids for grants.</p>
			<p>Technical writing includes a lot of different types of texts, such as scientific papers, technical reports, manuals, tutorials, and so on.</p>
			<h2>Things I have done</h2>
			<p>I have some experience in writing technical reports and tutorials, and my refereed publications are evidence that I can write at an academic level. Here are some examples.</p>
			<h3>Tutorials</h3>
			<ul class="nomargin">
				<li>Series of “<a href="//blog.morpheu5.net/categoria/learn-to-code/page/2/">Learn to code</a>” posts on my personal blog (in Italian)</li>
				<li>Series on Drupal for the Italian magazine <a href="//www.oltrelinux.com">Linux&amp;C</a>, in issues <a href="<?=$baseurl?>files/LC73_drupal.pdf">73</a>, <a href="<?=$baseurl?>files/LC74_drupal.pdf">74</a>, <a href="<?=$baseurl?>files/LC75_drupal.pdf">75</a></li>
				<li>Series on Inkscape for the Italian magazine <a href="//www.oltrelinux.com">Linux&amp;C</a>, in issues <a href="<?=$baseurl?>files/LC64_inkscape.pdf">64</a>, <a href="<?=$baseurl?>files/LC67_inkscape.pdf">67</a></li>
			</ul>
			<h3>Other (more or less) technical writing</h3>
			<ul class="nomargin">
				<li><a href="https://hackernoon.com/the-vizcoin-revolution-8a6f12fc5df6">The #VIZcoin revolution</a> (hackernoon.com)</li>
				<li><a href="https://hackernoon.com/kotlin-is-cheating-on-me-e048cde4f66">Kotlin is cheating on me…</a> (hackernoon.com)</li>
				<li><a href="https://hackernoon.com/android-is-hard-b7a5a5549655">Android is hard</a> (hackernoon.com)</li>
				<li><a href="https://hackernoon.com/how-i-messed-up-my-artsy-apps-launch-e684111de532">How I messed up my artsy app’s launch</a> (hackernoon.com)</li>
				<li><a href="https://medium.com/@morpheu5/how-i-made-an-artsy-app-based-in-science-a3690164a9ce">How I made an artsy app based on science</a> (medium.com)</li>
			</ul>
			<h3>Refereed publications</h3>
			<ul class="nomargin">
				<li>A. Franceschini, R. Laney, C. Dobbyn (2022) <a href="" title="This article is not published yet. A download link will be available soon after publication.">Sketching Music together: mixed groups exploring melodic similarity and contrast using a Digital Tabletop</a>. In <em>Journal of Music, Technology &amp; Education<!--, Volume 1x, Number y--></em> (Accepted for publication). <!-- (<a href="">Scopus</a>) --></li>
				<li>T. Battistin, N. Dalla Pozza, S. Trentin, G. Volpin, A. Franceschini, RHF therapists team, A. Rodà (2022), <a href="" title="This article is not published yet. A download link will be available soon after publication.">Co-designed mini-games for children with visual impairment: a pilot study on their usability</a>. In <em>Multimedia Tools and Applications</em> (Accepted for publication).</li>
				<li>J. Waite, A. Franceschini, S. Sentance, M. Patterson, J. Sharkey (2021), <a href="https://doi.org/10.1145/3481282.3481287">An online platform for teaching Upper Secondary school Computer Science</a>. In <em>Proceedings of the United Kingdom and Ireland Computing Education Research (UKICER 2021) Conference</em>. (<a href="https://www.scopus.com/record/display.uri?eid=2-s2.0-85115215700&origin=resultslist">Scopus</a>)</li>
				<li>A. Franceschini, R. Laney, C. Dobbyn (2020) <a href="https://doi.org/10.1386/jmte_00014_1">Sketching Music: Exploring melodic similarity and contrast using a Digital Tabletop</a>. In <em>Journal of Music, Technology &amp; Education, Volume 13, Number 1</em> (August 2020). (<a href="https://www.scopus.com/record/display.uri?eid=2-s2.0-85099455819&origin=resultslist">Scopus</a>)</li>
				<li>A. Franceschini, J. P. Sharkey, A. R. Beresford (2020) <a href="<?=$baseurl?>files/ccers20-inequality-poster-combo.pdf" title="PDF, 1.5 MB">Effective use of mathematical equations in an online learning environment</a>. In <em>Proceedings of the Cambridge Computing Education Research Symposium 2020</em>, Cambridge, UK.</li>
				<li>A. Franceschini, J. P. Sharkey, A. R. Beresford (2019) <a href="<?=$baseurl?>files/las2019.pdf" title="PDF, 2 MB">Inequality: multi-modal equation entry on the web</a>. In <em>Proceedings of Learning @ Scale 2019</em>, Chicago, IL, USA. (<a href="https://www.scopus.com/record/display.uri?eid=2-s2.0-85083953064&origin=resultslist">Scopus</a>)</li>
				<li>A. Franceschini, R. Laney, C. Dobbyn (2016) <a href="<?=$baseurl?>files/met2016.pdf" title="PDF, 87 KB">Sketching music: making music through exploring art</a>. In <em>Proceedings of Sempre: Music, Education, Technology (MET2016)</em>, London, UK.</li>
				<li>A. Franceschini, R. Laney, C. Dobbyn (2014) <a href="<?=$baseurl?>files/icmcsmc2014.pdf" title="PDF, 854 KB">Learning Musical Contour on a Tabletop</a>. In <em>Proceedings of the 40th International Computer Music Conference and 11th Sound and Music Computing Conference (ICMC-SMC)</em>, Athens, Greece. (<a href="https://www.scopus.com/record/display.uri?eid=2-s2.0-84908884791&origin=resultslist">Scopus</a>)</li>
				<li>A. Franceschini (2010) <a href="<?=$baseurl?>files/smc2010.pdf" title="PDF, 570 KB">Towards a practical approach to music theory on the Reactable</a>. In <em>Proceedings of the 7th Sound and Music Computing Conference (SMC)</em>, Barcelona, Spain. (<a href="https://www.scopus.com/record/display.uri?eid=2-s2.0-84905169162&origin=resultslist">Scopus</a>)</li>
			</ul>
			<h3>Other academic works</h3>
			<ul class="nomargin">
				<li>PhD thesis: <a href="<?=$baseurl?>files/phd-thesis.pdf" title="PDF, 8.1 MB">Learning to use melodic similarity and contrast for narrative using a Digital Tabletop Musical Interface</a></li>
				<li>Master thesis: <a href="<?=$baseurl?>files/master_thesis.pdf">A practical approach to Music Theory on the Reactable</a></li>
			</ul>
		</section>
		<section class="full col-start-1 sm:col-span-2">
			<p class="calltoaction">Need something written? <a href="<?=$baseurl?>contact">Get in touch!</a></p>
		</section>
	</article>

<?=i('_footer')?>
